'ESP8266 WiFi Module (IoT) By Behnam Zakizadeh @ 94.05.18 [2015]
'www.avr64.com

$regfile = "m8adef.dat"
$crystal = 11059200
$hwstack = 32
$swstack = 32
$framesize = 32
$baud = 115200

Config Serialin = Buffered , Size = 254
Enable Interrupts

Dim Ch As Byte
Dim S As String * 250
Dim Pos As Byte
Dim Count As Byte , Count2 As Byte
Dim S1 As String * 5
Dim Ssid As String * 32
Dim Password As String * 32

'Relay_1
Config Pinb.0 = Output
Relay1 Alias Portb.0

Deflcdchar 0 , 24 , 16 , 24 , 32 , 6 , 5 , 6 , 5            'CR (13 Dec)
Deflcdchar 1 , 16 , 16 , 24 , 32 , 6 , 4 , 6 , 4            'LF (10 Dec)
Deflcdchar 2 , 32 , 32 , 1 , 1 , 5 , 5 , 21 , 21            'ANTENNA

Config Lcdpin = Pin , Db4 = Portc.3 , Db5 = Portc.2 , Db6 = Portc.1 , _
 Db7 = Portc.0 , E = Portc.4 , Rs = Portc.5
Config Lcd = 16 * 2
Cursor Off Noblink
Cls

Lcd "ESP8266 WiFi   " ; Chr(2)
Lowerline
Lcd "www.AVR64.com"
Wait 3

Cls : Lcd "Init..."

'Unmark below lines only Ones: (settings will be stored in Module Memory)

'Print "AT" 'Test Module
'Wait 5
'Print "AT+RST" 'Reset
'Wait 5
'Print "AT+GMR"  'Get Firmware Version
'Wait 5
'Print "AT+CWMODE=1" 'Set Station Mode
'Wait 5
'Ssid = "avr64-ADLS-modem-name" 'ADSL Modem Name
'Password = "avr64-ADSL-password"  'ADSL Modem Password
'Print "AT+CWJAP={034}" + Ssid + "{034}" + "," + "{034}" + Password + "{034}"  'Connect to ADSL Modem
'Wait 5
'Print "AT+CWJAP?" 'show connected modem
'Wait 5
'Print "At + Cifsr" 'show module IP & MAC address
'Wait 5

Print "AT+CIPMUX=1"
Wait 1


Do

   Cls : Lcd "Connecting..."

   '******************* Connect To TCP Web Server & GET URL *********************
   Print "AT+CIPCLOSE=4" : Wait 1
   Print "AT+CIPSTART=4,{034}TCP{034},{034}avr64.com{034},80" : Wait 1
   Print "AT+CIPSEND=4,83" : Wait 1

   Print "GET /read.php?u=test@avr64.com&p=123456&r=field_1 HTTP/1.1" : Wait 1
   Print "Host: iot.avr64.com" : Wait 1 : Clear Serialin
   Print "" : Wait 1
   '****************************************************************************


   S = ""
   While Ischarwaiting() = 1
      Ch = Waitkey()

      If Ch = 10 Then
         S = S + Chr(1)                                     'LF
      Elseif Ch = 13 Then
         S = S + Chr(0)                                     'CR
      Else
         S = S + Chr(ch)
      End If
   Wend

   Cls
   Lcd "Rcvd " ; Len(s) ; " Bytes"
   Lowerline

   '---------------------------------- check data ------------------------------
   Pos = Instr(s , "##DATA-IS:(on)##")
   If Pos > 0 Then
      Lcd "Field_1: ON"
      Set Relay1
      '******************* Connect To TCP Web Server & GET URL *********************
      Print "AT+CIPCLOSE=4" : Wait 1
      Print "AT+CIPSTART=4,{034}TCP{034},{034}avr64.com{034},80" : Wait 1
      Print "AT+CIPSEND=4,89" : Wait 1

      Print "GET /write.php?u=test@avr64.com&p=123456&f=state_1&v=on HTTP/1.1" : Wait 1
      Print "Host: iot.avr64.com" : Wait 1 : Clear Serialin
      Print "" : Wait 1
      '****************************************************************************

   End If

   Pos = Instr(s , "##DATA-IS:(off)##")
   If Pos > 0 Then
      Lcd "Field_1: OFF"
      Reset Relay1
      '******************* Connect To TCP Web Server & GET URL *********************
      Print "AT+CIPCLOSE=4" : Wait 1
      Print "AT+CIPSTART=4,{034}TCP{034},{034}avr64.com{034},80" : Wait 1
      Print "AT+CIPSEND=4,90" : Wait 1

      Print "GET /write.php?u=test@avr64.com&p=123456&f=state_1&v=off HTTP/1.1" : Wait 1
      Print "Host: iot.avr64.com" : Wait 1 : Clear Serialin
      Print "" : Wait 1
      '****************************************************************************

   End If

   '----------------------------------------------------------------------------



   '######## set Label_1 ########

   'demo for sensor simulation
   Incr Count
   S1 = Str(count)
   S1 = Format(s1 , "000")
   S = "GET /write.php?u=test@avr64.com&p=123456&f=label_1&v=" + S1 + " HTTP/1.1"

   Cls : Lcd "Set Label_1 to:"
   Lowerline : Lcd Count

   '******************* Connect To TCP Web Server & GET URL *********************
   Print "AT+CIPCLOSE=4" : Wait 1
   Print "AT+CIPSTART=4,{034}TCP{034},{034}avr64.com{034},80" : Wait 1
   Print "AT+CIPSEND=4,90" : Wait 1

   Print S : Wait 1
   Print "Host: iot.avr64.com" : Wait 1 : Clear Serialin
   Print "" : Wait 1
   '****************************************************************************


   '######## set Log_1 ########

   'demo for sensor simulation
   Incr Count2
   S1 = Str(count2)
   S1 = Format(s1 , "000")
   S = "GET /write2.php?u=test@avr64.com&p=123456&v=" + S1 + " HTTP/1.1"

   Cls : Lcd "add to Log_1:"
   Lowerline : Lcd Count2

   '******************* Connect To TCP Web Server & GET URL *********************
   Print "AT+CIPCLOSE=4" : Wait 1
   Print "AT+CIPSTART=4,{034}TCP{034},{034}avr64.com{034},80" : Wait 1
   Print "AT+CIPSEND=4,81" : Wait 1

   Print S : Wait 1
   Print "Host: iot.avr64.com" : Wait 1 : Clear Serialin
   Print "" : Wait 1
   '****************************************************************************

   Clear Serialin
   Wait 1
Loop

End

'End Of File
